Subject: Re: bug#22624: [bug-coreutils] coreutils-8.25: big success, but problem on GNU/Hurd

From: Paul Eggert <[email-masked]>
Date: Wed, 10 Feb 2016 18:39:50 -0800

On 02/10/2016 01:57 PM, Nelson H. F. Beebe wrote:
> 	SKIP: tests/split/line-bytes.sh
> 	Timeout, server 192.168.122.66 not responding.
I presume the test that crashes your system is tests/split/l-chunk.sh, 
which invokes commands like 'split -n l/10 /dev/null' and 'split -n 1/2 
/dev/zero'.

This sounds like <http://bugs.gnu.org/11424>, which was reported for 
GNU/Hurd. Most likely GNU/Hurd is reporting an st_size of OFF_T_MAX for 
/dev/zero, and this is messing up 'split'. I will look into fixing this; 
I expect that the bottom line is that split should not trust st_size for 
special files like /dev/zero.